#ifndef SCANNERSEWPO_H
#define SCANNERSEWPO_H

#include <cmath>
#include "ScannerSModelclasses.h"
#include "ScannerSAux.h"

double func(double x);
double gunc(double x);

double DS(MassRef & Mass, MmixingRef & Mixing,size_t ih);
double DT(MassRef & Mass, MmixingRef & Mixing,size_t ih);
double DU1(MassRef & Mass, MmixingRef & Mixing,size_t ih);

double DSsm(double Mass);
double DTsm(double Mass);
double DU1sm(double Mass);

double Fsimple(double A);
double PsiTot(double A);
double PsiIntegrand(double x,void * params);

#endif
